
      remote print filespec Instructs the remote Kermit server to print the
        specified file(s) on the remote system.  The form of filespec varies
        with the remote system; it must be quoted if it contains special
        characters or spaces.

      remote space [dirspec] Instructs the remote Kermit server to display
        the free space in the specified directory on your screen.  The form
        of dirspec varies with the remote system; it must be quoted if it
        contains special characters or spaces.  The resulting information
        may be redirected to a file with the >outfile command.

      remote type filespec Instructs the remote Kermit server to type the
        specified file(s) on your screen.  The form of filespec varies with
        the remote system; it must be quoted if it contains special
        characters or spaces.  The resulting information may be redirected
        to a file with the >outfile command.

      remote who Instructs the remote Kermit server to display the logged in
        users on your screen.  The resulting information may be redirected
        to a file with the >outfile command.



      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  145

      reset Write the contents of the circular buffer if a receive file is
        open, close all files, and reset the disk system.  This allows
        swapping diskettes.

      reskeys Resets the Soft Keys to empty.

        SEE ALSO: set command

      restime * Resets elapsed time and counts of bytes transmitted and
        received to zero.  The restime command may be given in a script
        immediately after login is completed to synchronize the elapsed time
        counter with the beginning of chargeable connect time.

        SEE ALSO: timestamp command, E test condition

      restrict * Restricts ZCOMM for the following command on the same line.
        This command is useful for testing.

        EXAMPLE: restrict source /menu.t


      RETurn Returns from a script subroutine accessed by a call, source, or
        gosub command.

        SEE ALSO: fail command

      rewind Reset the buffer pointers for display, printer, and file output
        used by the term function to the beginning of the circular buffer.
        This will cause the term function to redisplay the data in the
        circular buffer.  Patterns will be rescanned.  A typical use of the
        rewind function is to allow replay of an editing session on a remote
        machine, or to redisplay the material received if the initial
        settings of the i, c, n or v term options were incorrect for the
        material received from the remote.
        N.B.: The rewind command does not reset the buffer free character
        count.  To write the data to disk, a write command (or ALT-W) must
        be given before accepting new data from the remote.

        SEE ALSO: t, b, w review subcommands

      REView Review the data received from the host or read by the read
        command.  A screenfull is displayed at a time.  Review function
        commands are listed in Chapter 23.

      ro [-options] file Receives with options a single file using non-
        standard XMODEM-CRC protocol logic.  OverThruster(TM) speeds file
        downloads at the expense of error recovery.  OverThruster operation
        is controlled by the O numeric parameter.  As fans of Buckaroo
        Bonzai know, the OverThruster is not universally applicable.  A
        transmission error will almost always terminate an OverThruster file
        download.


      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  146

        If Restricted, a file received in error will be unlinked (erased).

        EXAMPLE: ro foo.com


        SEE ALSO: O numeric parameter

      rt [-options] [dir] [file ...] Receives with options 1 or more files
        using Telink (FIDO) batch protocol.  An optional disk and/or
        directory dir may be specified.  The optional supplied pathnames
        file ...  are used in place of pathnames normally provided by the
        sending program.  If pathname(s) have been supplied to the rt
        command and the sending program attempts to send more files than the
        number of names supplied to the rt command, the transfer is aborted.
        The rt command is provided for compatibility with traditional
        programs that do not support the superior YMODEM or ZMODEM
        protocols.

        EXAMPLE: rt -c


        SEE ALSO: Telink protocol, Chapter 13.

      rw [-options] file Receives with options a single file using the
        People-Link WXMODEM protocol.  Chapter 20 describes the available
        options.  If Restricted, a file received in error will be unlinked
        (erased).

        EXAMPLE: rw foo.com



      rx [-options] file Receives with options a single file using the Ward
        Christensen XMODEM protocol.  CRC-16 is not the default because most
        commercial comms programs only support the 8 bit checksum.  Chapter
        20 describes the available options.  If Restricted, a file received
        in error will be unlinked (erased).

        EXAMPLE: rx foo.com

        N.B.: The rc command should be used whenever possible instead of rx.

        EXAMPLE: rx -g foo.txt Receive a single file with an ACKless XMODEM
        protocol mutant incorrectly called "ymodem-g" by PCBoard and Qmodem
        programs.

        SEE ALSO: XMODEM protocol, Chapter 13.

      rz [-options] Receives with options 1 or more files using ZMODEM
        protocol.  Chapter 20 describes the available options.  Each file's
        pathname is obtained from the sending program.  The +, a, b, n, N,


      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  147

        r, and y options are accepted from the sending program, subject to
        Restriced privileges.  If the +, b, n, N, r, or y option is
        specified to the receiver, it overrides any contrary options
        specified to the sender.  Only one of the a, b, or r options may be
        specified.  Only one of the +, n, N, or y options may be specified.
        If a file is received in error (retries exhausted, etc.), the batch
        transfer will terminate.  If Restricted, a file received in error
        will be unlinked (erased).

        EXAMPLE: rz -y


        SEE ALSO: Z term option

        SEE ALSO: ZMODEM protocol, Chapter 13.

      rz [-options] [dir] [file ...] Receives with options 1 or more files
        using ZMODEM protocol.  An optional disk and/or directory dir may be
        specified.  The optional supplied pathnames file ...  are used in
        place of pathnames normally provided by the sending program.  If the
        sending program attempts to send more files than the number of names
        supplied to the rz command, the transfer is aborted.  To allow use
        of the rz command, Z term option (ZMODEM AutoDownload) should be
        turned off with a dis -Z command.

      s Displays status information.

        LSR and MSR refer to the Line Status Register and Modem Status
        Register of the modem port's 8250 UART device.

        TYP refers to the type of serial chip detected.  A National 16550A
        shows as 1, an Intel 82510 shows as 2.  Other chips (without high
        speed enhancements) show as 0.

        "Uncorrected errors" displays the e numeric parameter, which counts
        the number of failed file transfers and "line hits" detected by the
        term function.

        If one or more scripts are active, the current line number (counting
        from the first line in the script file) for each script level is
        displayed.

        Any patterns active as a result of a pattern or wait command are
        displayed.  An S indicates not matched (still searching), F
        indicates that pattern has been matched.


        SEE ALSO: ALT-S function key

      s7 [-options] pathspec Send the files specified in pathspec using the
        MODEM7 batch Protocol.  Files which cannot be opened are skipped.


      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  148

        An empty pathspec sends all files in the current directory.  A
        directory name expands to all regular files in that directory.

        If an error aborts a file transmission (retries exhausted, etc.),
        batch transfers terminate.

        EXAMPLE: s7 *.com Sends all *.com files

        N.B.: The receiver must be commanded to receive the files.  This
        command is provided for compatibility with traditional programs that
        do not support the superior YMODEM and ZMODEM protocols.

        SEE ALSO: MODEM7 batch protocol, Chapter 13.

      sb [-options] [PREFIX=p | ONAME=x] pathspec Send the files specified
        in pathspec using True YMODEMTm Protocol.  The pathname, length, and
        modification time of each file are transmitted.  Files which cannot
        be opened are skipped.  An empty pathspec sends all files in the
        current directory.  A directory name expands to all regular files in
        that directory.

        If an error aborts a file transmission (retries exhausted, etc.),
        batch transfers terminate.  The sb command will send files with
        SEAlink protocol if the receiving program requests SEAlink.

        EXAMPLE: sb -k *.com Sends *.com using 1024 byte packets.

        N.B.: The receiver must be commanded to receive the files with an rb
        command.  Unix and OS/2 users: sb command cannot be used to send
        source files that grow after the beginning of transmission.

        SEE ALSO: YMODEM protocol, Chapter 13, SEAlink protocol, Chapter 13.

      seek offset Iff a transmit file is open as a result of a f, open, or
        read command, position the file read pointer to offset bytes from
        the beginning of the file if offset is positive (or 0), or from the
        end of the file if offest is negative.  "Seek 0" rewinds the file to
        its beginning.

        EXAMPLE: open baz; seek -20000; read<ENTER>Home Reviews the last
        20000 bytes of baz.


        SEE ALSO: open, read, close

      send [-options] pathspec Send the files specified in pathspec with the
        Kermit protocol.  The send command sends files to either a Kermit
        server or a regular Kermit program.

        EXAMPLE: send -a *.asm



      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  149

      set[s|c] [[_]sparam string] Set String parameter sparam to string.  As
        with all ZCOMM strings, the string must be enclosed by double quote
        characters if it contains spaces, tabs, or semicolons.  Character
        escapes must be used to represent special characters, including
        return and linefeed if needed.

        An optional leading underscore (_) prepended to sparam causes the
        string to be cleared by the next call command.

        EXAMPLE: set mprefix ATDT sets the modem dialing prefix for tone (T)

        EXAMPLE: set f8 \PXXXXX Assigns a five character automatically
        generated password (\PXXXXX character escape described in Chapter )
        to function key F8.  Once programmed this way, the F8 key will
        transmit five nonsense characters determined by the xpassword string
        parameter and the remote system's name as stored in the remote
        string parameter by the last call command.


        EXAMPLE: set _f1 "logout\r" Assigns the string "logout<ENTER>" to F1
        until the next call command.


        The parameters that may be set with this command are described in
        Chapter 25.  Case is significant in parameter names.

        Set without any arguments will display all non empty string
        parameters and their values.  If the v (verbose) numeric parameter
        is non zero, all string parameters are displayed.  The echo and lput
        commands may be used to display string parameters ("echo %svar").

        The setc command performs string substitutions and character escape
        expansions on string before storing.  The sets command only performs
        string substitutions on string before storing.
        N.B.: Chapter 26 discusses string concatenation.

        EXAMPLE: sets s2 "%z1" Assigns the second token (%z1) generated by
        the split command to string parameter s2.


        If other commands are to follow on the same line, a semicolon must
        be used to separate the commands.

        EXAMPLE: set s1 "su"; goto sendit Would be illegal if the ";" were
        left out.


        A string parameter may be set to empty with set sparam "" (empty
        string enclosed by double quote characters).

        EXAMPLE: pv1; set Displays all string parameters, including all Soft


      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  150

        Keys.


        EXAMPLE: sets s8 "s9 EQUALS %s9" Substitutes the value of string
        parameter s9 in the argument before assigning it to s8.


        SEE ALSO: echo, if, keys, reskeys, ALT-K, commands
        N.B.: When defining function keys to be called from within the term
        function, do not use the t or f commands.  Instead use the create or
        open commands to prevent excessive term function recursion.

        Assigning a string to a function key with the set command causes
        that string to be sent to the remote when the key is used within the
        term function.  If the string begins with @, the remainder of the
        string is executed as a ZCOMM command.

        EXAMPLE: set f3 "@rb" Assigns the rb command to F3.


      set[s|c] [_]sparam This form of the set command allows strings
        containing double quote (") characters to be defined.

        Given with string parameter sparam, but no string, set reads string
        from the next line verbatim, with only the trailing CR/LF removed.
        The line should not begin with a space or tab unless one is required
        for string.  This form may be used for entering strings containing
        double quotes.  If a script is active, the next line is read from
        the current script file, otherwise the user is prompted for it.
        N.B.: This form of the set command cannot be used as the predicate
        of an if command.  The argument should not appear as a label or
        telephone directory entry.

        EXAMPLE: set outahost
        @o; pk3; sp 2400; set disks "abcd"; putw "\336ATM0H1\r" Programs
        outahost to drop DTR ("o"), set 2400 baud, allow disks a,b,c, and d,
        and send an ATM0H1 (go off hook) command to the modem to busy out
        the telephone line.


      setn sparam expression The setn command stores as a decimal number the
        result of an arithmetic expression consisting of decimal numbers,
        string variables, the length of string variables denoted with %, and


      __________

      16. Because a failed if command would skip to the next line, the
          argument of the set command, and attempt to execute it as a script
          line.



      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  151

        the operators +, -, *, and /.  The expression is evaluated strictly
        left to right with 32 bit precision.

        EXAMPLE: setn vv 1+vv


      set? sparam condition The set?  command stores a decimal number
        representing the result of a test condition.

        EXAMPLE: set? s0 S Stores the value of the S test condition
        (transmission speed) in string variable s0.


      sleep deci-seconds Sleep causes ZCOMM to pause for the specified
        tenths of seconds.  This command may be used in a script with one or
        more put commands to login to a timesharing service.  The presence
        of a character in the keyboard buffer will cause the sleep command
        to finish before the specified time.

        The maximum sleep time is 32000 tenths of seconds.  Applications
        involving long sleep times may be better handled with the Host
        Operation callout queue.

        EXAMPLE: sleep 30 Pauses for 3 seconds.


        SEE ALSO: callout queue, \336 (string parameters)

      Soft Keys The Soft Keys f1-f12, fs1-fs10, fc1-fc10, fa1-fa10, ALT-a to
        ALT-z, fins, fdel, fhome, fend, fup, fdown, fleft, fright, fpgup,
        fpgdn, etc.  may be programmed by set commands given in script
        files, including the "setup" entry in the distribution PHODIR.t
        file.  The strings or commands assigned to these keys may be
        displayed with the keys or ALT-K command.  To get a current list of
        the available soft keys (and other string parameters), keyboard the
        following three commands:

             pv1
             >keylist
             set
             close; pv0

      source sourcefile Accept script commands from sourcefile.  The source
        and call commands may be nested with up to six[17] scripts open at


      __________

      17. Deep nesting may require a decrease in circular buffer memory
          allocation.



      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  152

        once.

        If the script has a READ ONLY attribute, ZCOMM is unrestricted
        during execution of the script.*

        Command lines in files accessed by the source command must begin
        with a tab, space, or label.  Goto commands within sourcefile search
        for labels in the same sourcefile.  Gosub commands within sourcefile
        access subroutines in the telephone directory accessed by the phones
        string parameter.

        EXAMPLE: bud  source /usr/bin/caf/bin/callbud
        This telephone directory entry pat calls a separate script file
        containing commands to call a secret system.  Placing this
        information in a separate file keeps it out of the main telephone
        directory file, which might be used on a number of computers.


        SEE ALSO: gosub command

      SPeed m Set the transmission speed ("baud rate") to m.[18] If the
        speed specified is odd, or equal to 110, two stop bits are
        transmitted; otherwise one stop bit is transmitted.  Typical speeds
        are 110, 300, 1200, 2400, 4800, 9600, 19200, 38400, 57600, and
        115200 bits per second.

        EXAMPLE: speed 1200

        N.B.: Some older U.S. Robotics modems cannot accept the sustained
        full speed output ZCOMM is capable of.  Using speed 2350 corrects
        such a problem with the U.S. Robotics Courier 2400.

        Some 1200 and 2400 bps modems work better (lower error rate) if the
        speed is set to slightly less than the nominal 1200 or 2400.  This
        also applies to communications networks that cannot accept sustained
        full speed data, and to serial ports whose raw bit rate clocks are
        slightly fast.

        EXAMPLE: speed 1181 Sets the speed to 1181 bits per second with two
        stop bits.


        N.B.: Most timesharing minicomputers can send data from their serial
        ports faster than they can receive.  A timesharing port that


      __________

      18. This is the DTE (Data Terminal Equipment) speed, the speed at
          which the computer talks to the modem.



      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  153

        supports interactive operation at 19200 bps may not tolerate file
        uploads above 2400 bps.

        N.B.: Operation at high speeds is affected by the operating system
        version, device drivers, memory resident software, and the
        computer's hardware design.  Chapter 34 describes common problems
        encountered in high speed operation.  The new generation
        NS16550AN/NS16550FAN serial interface chips with FIFO buffers should
        be used instead of 8250's or 16450's for best results at high speed.
        This is imperative if disk caches, special device drivers or TSR
        programs increase interrupt latency.

        SEE ALSO: 7e, 7o, 7m, 7s, 8n, 8g term options, handshake command, D
        numeric parameter

      split svar Split (parse) string parameter svar into tokens stored in
        string parameters z0...z9 using one or more of the characters in
        string parameter ifs ("Internal Field Separator") to separate the
        tokens. **

        EXAMPLE: If string parameter s1 contains "hello there folks" and ifs
        contains a space and tab, split s1 Assigns "hello" to z0, "there" to
        z1, and "folks" to z2.


        EXAMPLE: Let s0 contain "#1234567-This is big-time Parsing", and ifs
        contain "#1256- ".  The command split s0 Assigns "34" to z0, "7" to
        z1, "This" to z2, "is" to z3, "big" to z4, "time" to z5, and
        "Parsing" to z6.


        SEE ALSO: y0...y127 string parameters, I,i,p test conditions, sets
        command

      split svar string ... uses one string for each token generated.  An
        empty string ("") assigns the rest of svar to the next token.
        Otherwise, if tokens remain after the strings are exhausted, ifs is
        used for parsing the remaining tokens.

        EXAMPLE: If s0 contains "#1234567-This is ZCOMM Parsing", The
        command split s0 "-" "" Assigns "#1234567" to z0 and "This is ZCOMM
        Parsing" to z1.


        EXAMPLE: If s0 contains "503-621-3746", The command split s0 "-" "-"
        Assigns "503" to z0, "621" to z1, and "3746" to z2.


        SEE ALSO: ss command, scripts, Chapter 99




      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  154

      ss svar regular-expression String Split svar according to regular-
        expression.  ** Regular expressions are described in Chapter 26.
        The entire matched string (if any) is stored in the z0 string
        parameter.

        Matched groups are stored in the z1...z9 string parameters.
        Parameters which do not receive a matched string or substring are
        set empty.

        EXAMPLE: If string parameter s0 contains
                From: Captain Midnight To: HBO Inc.
        then the command      ss s0 "From: (.*) To: (.*)"
        places "Captain Midnight" in z1 and "HBO Inc." in z2.  In this case,
        z0 will contain the entire contents of s0.


        SEE ALSO: split command, regular-expressions Chapter 26

      st [-options] pathspec Send the files specified in pathspec using the
        Telink (FIDO) batch Protocol.  The pathname, length, and
        modification time of each file are transmitted.  Files which cannot
        be opened are skipped.  An empty pathspec sends all files in the
        current directory.  A directory name expands to all regular files in
        that directory.

        If an error aborts a file transmission (retries exhausted, etc.),
        batch transfers terminate.

        EXAMPLE: st *.com Sends *.com

        N.B.: The receiver must be commanded to receive the files.

        SEE ALSO: Telink protocol, Chapter 13.

      sum pathspec Checksums the named text files with an alogrithym
        compatible with sum(1) on Version 7 Unix (sum -r on System III/V,
        cksum -o 1 on BSD).  Carriage returns, and all characters starting
        with the first instance of CPMEOF (^Z) are excluded.  This
        processing allows comparison of plain ASCII source files stored on
        the different systems, but not binary files.  The checksum is
        printed in octal, followed by a count of 512 byte blocks and bytes
        read.

        EXAMPLE: sum *.c Checksums all C source files in the current
        directory.


        SEE ALSO: crc, wc commands

      sx [-options] file Send a single file using the Ward Christensen
        XMODEM or XMODEM-CRC protocol.  The receiving program may request


      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  155

        use of a 16 bit CRC, which is more accurate than the default
        checksum.  DOS/Unix files sent this way will have Control-Z (CPMEOF)
        garbage characters appended to make the file length a multiple of
        128.

        EXAMPLE: sx foo.com


        EXAMPLE: sx -k foo.com Sends foo.com using 1024 byte blocks

        N.B.: The receiver must be commanded to receive the file with an rx
        filename or rc filename command.

        SEE ALSO: XMODEM, XMODEM-1k, XMODEM-CRC protocols, Chapter 13.

      sz [-options] [PREFIX=p | ONAME=x] pathspec Send the files specified
        in pathspec using ZMODEM Protocol.[19]
        N.B.: If the remote supports ZMODEM AutoDownload, or accepts rz
        followed by carriage return as a command to receive files with
        ZMODEM protocol, only the sz command need be given.  Otherwise, the
        receiver must be commanded to receive the files with an rz command
        or menu choice.

        The +, a, b, n, N, r, y, and Z options are sent to the receiving
        program.  Only one of the a, b, or r options may be specified.  Only
        one of the +, n, N, or y options may be specified.

        Each skipped file is counted as an error as indicated by the e test
        condition and e numeric parameter.  If the q option is used, files
        skipped as a result of selective file transfers are not counted as
        errors.

        The pathname, length, and modification time of each file are
        transmitted.  Files which cannot be opened are skipped.  An empty
        pathspec sends all files in the current directory.  A directory name
        expands to all regular files in that directory.

        If ONAME=x is given after the options (if any) and before the file
        name(s), x will be used exactly as given as the COMPLETE destination
        pathname instead of each file's actual pathname.  It is the sender's
        responsibility to use lower case for x unless the filename is really
        supposed to be all caps.

        EXAMPLE: sz -y ONAME=B:/spiked/secret /soviet/sdi/newlaser.doc


      __________

      19. The receiver may use the sz command to send files by uploading an
          sz command with the zcommand command.



      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  156

        Results in the destination file secret on drive B: in the /spiked
        directory.  (Destination directories must exist and be writable).


        If instead PREFIX=p is given after the options (if any) and before
        the file name(s), p will be added to the destination pathname(s) as
        a prefix.  It is the sender's responsibility to use lower case for p
        unless the prefix is really supposed to be all caps.

        EXAMPLE: sz -y PREFIX=C:/foobaz/ /biff/bam/aardvark.wak
        Results in the destination file "C:/foobaz/aardvark.wak"


        EXAMPLE: sz *.com   Sends all files with a .com extension.


        EXAMPLE: sz -r ??log Crash Recovery sends only the new data if the
        receiver has incomplete versions of these files.


        EXAMPLE: sz -fn src/*.c src/*.h maildir
        Sends only newer .c and .h files in the src subdirectory, and all
        new files in the maildir subdirectory.


        EXAMPLE: zcommand "sz -fn /bin /wp"
        commands a remote ZCOMM system in Host Operation (unrestricted) to
        send all new files in the /bin and /wp directories.


        EXAMPLE: sz -Yn *.c Sends only newer versions of files that already
        exist at the destination.


        EXAMPLE: sz -Rf usera Sends all files in the usera directory and all
        subdirectories thereof.  Directories are not sorted when the R
        option is used on 16 bit systems.

        SEE ALSO: ZMODEM protocol, Chapter 13, Options, Chapter 20.



      szb [-options] [PREFIX=p | ONAME=x] pathspec As above, but "falls
        back" to YMODEM if the receiver cannot receive files with ZMODEM
        protocol.  Because of the YMODEM fallback, szb is not as error
        resistant as the sz command.

      t [-term_options] [capturefile] Invokes the term function for
        conversational access to the remote.  Normally, ZCOMM will remain in
        the termfunction until the user keyboards F1.



      (C) 1997 Omen Tech Inc                        Chapter 19 Main Commands


      Version 18.26 TurboDial 3.02            Universal Line Printer Edition
      ZCOMM User Manual                                                  157

        If capturefile is specified, any currently opten capture file is
        closed and capturefile is opened.  A file previously opened by "t
        file" is not closed by a t command given without an argument.

        EXAMPLE: t file1 Creates file1 to capture data sent by the remote in
        interactive conversation.


        SEE ALSO: create command

        If a file upload begun by an f or open command were in progress, the
        upload will resume with the t command subject to the g term option.

        In host operation, "t file" begins data capture, and received
        characters are not echoed.  When the remote sends ETX, EOT, or
        Ctrl-Z, file is closed and the term function exits.

        EXAMPLE: t comments.txt<ENTER>
        jabber ... jabber ... Ctrl-Z


        Optional termoptions may be enabled to modify the display, storage,
        or transmission of information.

        Subcommands available from the term function are explained in
        Chapter 21.  Characters special to the term function are also
        described in Chapter 21.

      tcs M N The local display of ASCII characters can be remapped to suit
        local requirements with the tcs (Terminal Character Set) command,
        where M is the incoming character (1 to 255) and N is the desired
        hardware character 1 to 255.
